summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sci-libs/indilib/files/0.9.7-fix-zlib-link.patch74
-rw-r--r--sci-libs/indilib/indilib-0.9.7.ebuild41
2 files changed, 115 insertions, 0 deletions
diff --git a/sci-libs/indilib/files/0.9.7-fix-zlib-link.patch b/sci-libs/indilib/files/0.9.7-fix-zlib-link.patch
new file mode 100644
index 0000000..1b2f813
--- /dev/null
+++ b/sci-libs/indilib/files/0.9.7-fix-zlib-link.patch
@@ -0,0 +1,74 @@
+--- libindi-0.9.7.old/CMakeLists.txt 2013-12-14 15:49:09.302518454 +0100
++++ libindi-0.9.7/CMakeLists.txt 2013-12-14 16:03:35.095501743 +0100
+@@ -204,7 +204,7 @@
+
+ add_executable(indi_lx200generic ${lx200generic_SRCS})
+
+-target_link_libraries(indi_lx200generic indidriver ${NOVA_LIBRARIES} m )
++target_link_libraries(indi_lx200generic indidriver ${NOVA_LIBRARIES} m ${ZLIB_LIBRARIES})
+
+ install(TARGETS indi_lx200generic RUNTIME DESTINATION bin )
+
+@@ -247,7 +247,7 @@
+
+ add_executable(indi_celestron_gps ${celestrongps_SRCS})
+
+-target_link_libraries(indi_celestron_gps indidriver ${NOVA_LIBRARIES} m )
++target_link_libraries(indi_celestron_gps indidriver ${NOVA_LIBRARIES} m ${ZLIB_LIBRARIES})
+
+ install(TARGETS indi_celestron_gps RUNTIME DESTINATION bin )
+
+@@ -602,7 +602,7 @@
+
+ add_executable(tutorial_one ${tutorialone_SRCS})
+
+-target_link_libraries(tutorial_one indidriver m)
++target_link_libraries(tutorial_one indidriver m ${ZLIB_LIBRARIES})
+
+ ########### Tutorial two ##############
+ set(tutorialtwo_SRCS
+@@ -612,7 +612,7 @@
+
+ add_executable(tutorial_two ${tutorialtwo_SRCS})
+
+-target_link_libraries(tutorial_two indidriver m)
++target_link_libraries(tutorial_two indidriver m ${ZLIB_LIBRARIES})
+
+ ########### Tutorial three ##############
+ if (CFITSIO_FOUND)
+@@ -623,7 +623,7 @@
+
+ add_executable(tutorial_three ${tutorialthree_SRCS})
+
+-target_link_libraries(tutorial_three indidriver m)
++target_link_libraries(tutorial_three indidriver m ${ZLIB_LIBRARIES})
+ endif (CFITSIO_FOUND)
+ ########### Tutorial four ##############
+ set(tutorialfour_SRCS
+@@ -633,7 +633,7 @@
+
+ add_executable(tutorial_four ${tutorialfour_SRCS})
+
+-target_link_libraries(tutorial_four indidriver m)
++target_link_libraries(tutorial_four indidriver m ${ZLIB_LIBRARIES})
+
+ ########### Tutorial five - dome driver ##############
+ set(tutorialdome_SRCS
+@@ -643,7 +643,7 @@
+
+ add_executable(tutorial_dome ${tutorialdome_SRCS})
+
+-target_link_libraries(tutorial_dome indidriver)
++target_link_libraries(tutorial_dome indidriver ${ZLIB_LIBRARIES})
+
+ ########### Tutorial five - rain driver ##############
+ set(tutorialrain_SRCS
+@@ -653,7 +653,7 @@
+
+ add_executable(tutorial_rain ${tutorialrain_SRCS})
+
+-target_link_libraries(tutorial_rain indidriver)
++target_link_libraries(tutorial_rain indidriver ${ZLIB_LIBRARIES})
+
+ ########### Client Tutorial ##############
+ set(tutorialclient_SRCS
diff --git a/sci-libs/indilib/indilib-0.9.7.ebuild b/sci-libs/indilib/indilib-0.9.7.ebuild
new file mode 100644
index 0000000..267de8a
--- /dev/null
+++ b/sci-libs/indilib/indilib-0.9.7.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sci-libs/indilib/indilib-0.7.2.ebuild,v 1.6 2011/10/30 15:47:38 ssuominen Exp $
+
+EAPI=3
+
+MY_P="lib${PN/lib/}_${PV}"
+
+inherit cmake-utils eutils
+
+DESCRIPTION="INDI Astronomical Control Protocol library"
+HOMEPAGE="http://indi.sourceforge.net/index.php/Main_Page"
+SRC_URI="mirror://sourceforge/${PN/lib/}/${MY_P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE="v4l"
+
+# libfli: not in portage
+# fli? ( >=sci-libs/fli-1.71 )
+RDEPEND="
+ sys-libs/zlib
+ >=sci-libs/cfitsio-3.140
+ virtual/libusb:0
+ >=sci-libs/libnova-0.12.1
+"
+
+DEPEND="${RDEPEND}
+ v4l? ( >=sys-kernel/linux-headers-2.6 )
+"
+
+S="${WORKDIR}/${MY_P/_/-}"
+
+src_prepare() {
+ # fix multilib
+ sed -i \
+ -e "s:\${LIB_POSTFIX}:\${LIB_SUFFIX}:g" \
+ CMakeLists.txt || die "sed failed"
+ epatch "${FILESDIR}/0.9.7-fix-zlib-link.patch"
+}